To use these files place them all in the same folder so mujoco can find and use the 3d models in the simulation. Once all the files are in the same folder you can run the xml file in mujoco and run the sim.